PHPExcel_Writer_HTML

category | PHPExcel
package | PHPExcel_Writer_HTML
copyright | Copyright (c) 2006 - 2014 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Create a new PHPExcel_Writer_HTML

    __construct(\PHPExcel $phpExcel)

### Parameters

#### $phpExcel

`\PHPExcel`

PHPExcel object

## Build CSS styles

    buildCSS(boolean $generateSurroundingHTML) : array

### Parameters

#### $generateSurroundingHTML

`boolean`

Generate surrounding HTML style? (html { })

### Exceptions

`\PHPExcel_Writer_Exception` |

### Returns

`array`

## Add color to formatted string as inline style

    formatColor(string $pValue, string $pFormat) : string

### Parameters

#### $pValue

`string`

Plain formatted value without color

#### $pFormat

`string`

Format code

### Returns

`string`

## Generate HTML header

    generateHTMLHeader(boolean $pIncludeStyles) : string

### Parameters

#### $pIncludeStyles

`boolean`

Include styles?

### Exceptions

`\PHPExcel_Writer_Exception` |

### Returns

`string`

## Generate sheet data

    generateSheetData() : string

### Exceptions

`\PHPExcel_Writer_Exception` |

### Returns

`string`

## Generate CSS styles

    generateStyles(boolean $generateSurroundingHTML) : string

### Parameters

#### $generateSurroundingHTML

`boolean`

Generate surrounding HTML tags? (
)

### Exceptions

`\PHPExcel_Writer_Exception` |

### Returns

`string`

## Get disk caching directory

    getDiskCachingDirectory() : string

Inherited

inherited_from | \PHPExcel_Writer_Abstract::getDiskCachingDirectory()

### Returns

`string`

## Get embed images

    getEmbedImages() : boolean

### Returns

`boolean`

## Get images root

    getImagesRoot() : string

### Returns

`string`

## Write charts in workbook? If this is true, then the Writer will write definitions for any charts that exist in the PHPExcel object.

    getIncludeCharts() : boolean

Inherited

If false (the default) it will ignore any charts defined in the PHPExcel object.

inherited_from | \PHPExcel_Writer_Abstract::getIncludeCharts()

### Returns

`boolean`

## Get Pre-Calculate Formulas flag If this is true (the default), then the writer will recalculate all formulae in a workbook when saving, so that the pre-calculated values are immediately available to MS Excel or other office spreadsheet viewer when opening the file If false, then formulae are not calculated on save.

    getPreCalculateFormulas() : boolean

Inherited

This is faster for saving in PHPExcel, but slower when opening the resulting file in MS Excel, because Excel has to recalculate the formulae itself

inherited_from | \PHPExcel_Writer_Abstract::getPreCalculateFormulas()

### Returns

`boolean`

## Get sheet index

    getSheetIndex() : int

### Returns

`int`

## Get use disk caching where possible?

    getUseDiskCaching() : boolean

Inherited

inherited_from | \PHPExcel_Writer_Abstract::getUseDiskCaching()

### Returns

`boolean`

## Get use inline CSS?

    getUseInlineCss() : boolean

### Returns

`boolean`

## Save PHPExcel to file

    save(string $pFilename)

@param string $pFilename Name of the file to save

### Parameters

#### $pFilename

`string`

### Exceptions

`\PHPExcel_Writer_Exception` |

## Set embed images

    setEmbedImages(boolean $pValue) : \PHPExcel_Writer_HTML

### Parameters

#### $pValue

`boolean`

### Returns

`\PHPExcel_Writer_HTML`

## Set images root

    setImagesRoot(string $pValue) : \PHPExcel_Writer_HTML

### Parameters

#### $pValue

`string`

### Returns

`\PHPExcel_Writer_HTML`

## Set write charts in workbook Set to true, to advise the Writer to include any charts that exist in the PHPExcel object.

    setIncludeCharts(boolean $pValue) : \PHPExcel_Writer_IWriter

Inherited

Set to false (the default) to ignore charts.

inherited_from | \PHPExcel_Writer_Abstract::setIncludeCharts()

### Parameters

#### $pValue

`boolean`

### Returns

`\PHPExcel_Writer_IWriter`

## Set Pre-Calculate Formulas Set to true (the default) to advise the Writer to calculate all formulae on save Set to false to prevent precalculation of formulae on save.

    setPreCalculateFormulas(boolean $pValue) : \PHPExcel_Writer_IWriter

Inherited

inherited_from | \PHPExcel_Writer_Abstract::setPreCalculateFormulas()

### Parameters

#### $pValue

`boolean`

Pre-Calculate Formulas?

### Returns

`\PHPExcel_Writer_IWriter`

## Set sheet index

    setSheetIndex(int $pValue) : \PHPExcel_Writer_HTML

### Parameters

#### $pValue

`int`

Sheet index

### Returns

`\PHPExcel_Writer_HTML`

## Set use disk caching where possible?

    setUseDiskCaching(boolean $pValue, string $pDirectory) : \PHPExcel_Writer_Excel2007

Inherited

inherited_from | \PHPExcel_Writer_Abstract::setUseDiskCaching()

### Parameters

#### $pValue

`boolean`

#### $pDirectory

`string`

Disk caching directory

### Exceptions

`\PHPExcel_Writer_Exception` | when directory does not exist

### Returns

`\PHPExcel_Writer_Excel2007`

## Set use inline CSS?

    setUseInlineCss(boolean $pValue) : \PHPExcel_Writer_HTML

### Parameters

#### $pValue

`boolean`

### Returns

`\PHPExcel_Writer_HTML`

## Write all sheets (resets sheetIndex to NULL)

    writeAllSheets()

## Takes array where of CSS properties / values and converts to CSS string

    _assembleCSS(array $pValue) : string

### Parameters

#### $pValue

`array`

### Returns

`string`

## Calculate information about HTML colspan and rowspan which is not always the same as Excel's

    _calculateSpans()

## Create CSS style

    _createCSSStyle(\PHPExcel_Style $pStyle) : array

### Parameters

#### $pStyle

`\PHPExcel_Style`

PHPExcel_Style

### Returns

`array`

## Create CSS style (PHPExcel_Style_Alignment)

    _createCSSStyleAlignment(\PHPExcel_Style_Alignment $pStyle) : array

### Parameters

#### $pStyle

`\PHPExcel_Style_Alignment`

PHPExcel_Style_Alignment

### Returns

`array`

## Create CSS style (PHPExcel_Style_Border)

    _createCSSStyleBorder(\PHPExcel_Style_Border $pStyle) : string

### Parameters

#### $pStyle

`\PHPExcel_Style_Border`

PHPExcel_Style_Border

### Returns

`string`

## Create CSS style (PHPExcel_Style_Borders)

    _createCSSStyleBorders(\PHPExcel_Style_Borders $pStyle) : array

### Parameters

#### $pStyle

`\PHPExcel_Style_Borders`

PHPExcel_Style_Borders

### Returns

`array`

## Create CSS style (PHPExcel_Style_Fill)

    _createCSSStyleFill(\PHPExcel_Style_Fill $pStyle) : array

### Parameters

#### $pStyle

`\PHPExcel_Style_Fill`

PHPExcel_Style_Fill

### Returns

`array`

## Create CSS style (PHPExcel_Style_Font)

    _createCSSStyleFont(\PHPExcel_Style_Font $pStyle) : array

### Parameters

#### $pStyle

`\PHPExcel_Style_Font`

PHPExcel_Style_Font

### Returns

`array`

## _extendRowsForChartsAndImages()

    _extendRowsForChartsAndImages(\PHPExcel_Worksheet $pSheet, $row)

### Parameters

#### $pSheet

#### $row

## Generate row

    _generateRow(\PHPExcel_Worksheet $pSheet, array $pValues, int $pRow) : string

### Parameters

#### $pSheet

`\PHPExcel_Worksheet`

PHPExcel_Worksheet

#### $pValues

`array`

Array containing cells in a row

#### $pRow

`int`

Row number (0-based)

### Exceptions

`\PHPExcel_Writer_Exception` |

### Returns

`string`

## Generate table header

    _generateTableHeader(\PHPExcel_Worksheet $pSheet) : string

### Parameters

#### $pSheet

`\PHPExcel_Worksheet`

The worksheet for the table we are writing

### Exceptions

`\PHPExcel_Writer_Exception` |

### Returns

`string`

## Map border style

    _mapBorderStyle(int $borderStyle) : string

### Parameters

#### $borderStyle

`int`

Sheet index

### Returns

`string`

## Map HAlign

    _mapHAlign(string $hAlign) : string | false

### Parameters

#### $hAlign

`string`

Horizontal alignment

### Returns

`string` `false`

## Map VAlign

    _mapVAlign(string $vAlign) : string

### Parameters

#### $vAlign

`string`

Vertical alignment

### Returns

`string`

## _setMargins()

    _setMargins(\PHPExcel_Worksheet $pSheet)

### Parameters

#### $pSheet

## Generate chart tag in cell

    _writeChartInCell(\PHPExcel_Worksheet $pSheet, string $coordinates) : string

### Parameters

#### $pSheet

`\PHPExcel_Worksheet`

PHPExcel_Worksheet

#### $coordinates

`string`

Cell coordinates

### Exceptions

`\PHPExcel_Writer_Exception` |

### Returns

`string`

## Generate image tag in cell

    _writeImageInCell(\PHPExcel_Worksheet $pSheet, string $coordinates) : string

### Parameters

#### $pSheet

`\PHPExcel_Worksheet`

PHPExcel_Worksheet

#### $coordinates

`string`

Cell coordinates

### Exceptions

`\PHPExcel_Writer_Exception` |

### Returns

`string`

### Properties

##

    $_diskCachingDirectory : string

Inherited

inherited_from | \PHPExcel_Writer_Abstract::$$_diskCachingDirectory

##

    $_includeCharts : boolean

Inherited

inherited_from | \PHPExcel_Writer_Abstract::$$_includeCharts

##

    $_isPdf : boolean

##

    $_phpExcel : \PHPExcel

##

    $_preCalculateFormulas : boolean

Inherited

inherited_from | \PHPExcel_Writer_Abstract::$$_preCalculateFormulas

##

    $_useDiskCaching : boolean

Inherited

inherited_from | \PHPExcel_Writer_Abstract::$$_useDiskCaching

##

    $_columnWidths : array

##

    $_cssStyles : array

##

    $_defaultFont : \PHPExcel_Style_Font

##

    $_embedImages : boolean

##

    $_imagesRoot : string

##

    $_isBaseCell : array

##

    $_isSpannedCell : array

##

    $_isSpannedRow : array

##

    $_sheetIndex : int

##

    $_spansAreCalculated : boolean

##

    $_useInlineCss : boolean